jQuery(document).ready(function($) {
    console.log("✅ cfb admin.js loaded and ready");

    $("#cfb-fields-list").sortable();

    $("#add-field-btn").on("click", function(e) {
        e.preventDefault();

        const label = $("input[name='new_label']").val().trim();
        const type = $("select[name='new_type']").val();
        const optionsRaw = $("input[name='new_options']").val().trim();
        const required = $("input[name='new_required']").is(":checked");

        if (!label) return;

        const options = (type === "select" || type === "checkbox") && optionsRaw
            ? optionsRaw.split(",").map(s => s.trim())
            : [];

        const field = {
            label: label,
            type: type,
            required: required,
            options: options
        };

        const li = $(`
            <li class="cfb-field-item">
                <strong>${label}</strong> (${type})${required ? " [required]" : ""}${options.length ? " [" + options.join(", ") + "]" : ""}
                <input type="hidden" name="fields[]" value='${JSON.stringify(field).replace(/'/g, "&#039;")}'>
                <span class="cfb-remove" style="margin-left:10px; cursor:pointer;">×</span>
            </li>
        `);

        $("#cfb-fields-list").append(li);

        $("input[name='new_label']").val('');
        $("input[name='new_required']").prop("checked", false);
        $("input[name='new_options']").val('');
    });

    $(document).on("click", ".cfb-remove", function() {
        $(this).closest("li").remove();
    });
});
