<?php
add_action('admin_menu', function() {
    add_submenu_page('cfb-forms', 'Help', 'Help', 'manage_options', 'cfb-help', 'cfb_render_help_page');
});

function cfb_render_help_page() {
    ?>
    <div class="wrap">
        <h1>Form Builder Instructions</h1>
        <p><strong>Creating a Form:</strong> Use "All Forms" to create a new form with a unique name. Each form gets its own shortcode.</p>
        <p><strong>Adding Fields:</strong> Click "Edit Fields" to add input types, check "Required" if needed, and use drag-and-drop to reorder.</p>
        <p><strong>Field Types:</strong></p>
        <ul>
            <li><strong>Text:</strong> single-line input</li>
            <li><strong>Textarea:</strong> multi-line input</li>
            <li><strong>Checkbox:</strong> multiple choice, needs comma-separated options</li>
            <li><strong>Dropdown:</strong> single choice, needs comma-separated options</li>
        </ul>
        <p><strong>Shortcodes:</strong> Use <code>[cfc_form id="your-form-slug"]</code> in any post or page.</p>
        <p><strong>Global Settings:</strong> Enable UIKit, set SMTP for email delivery, or use reCAPTCHA to block spam.</p>
    </div>
<?php } ?>
